
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SQL Server 使用OPENROWSET访问ORACLE遇到的各种坑总结 / iVAN</title>

    <meta name="description" content="SQL Server 使用OPENROWSET访问ORACLE遇到的各种坑总结 在SQL Server中使用OPENROWSET访问ORACLE数据库时,你可能会遇到各种坑,下面一一梳理一下你会遇到的一些坑.   1:数据库没有开启&quot;Ad Hoc Distributed Queries&quot;选项,那么你就会遇到下面坑.   SELECT TOP 10 * FROM OPENROWSET('OraOLEDB.Oracle', 'ESCM_134';'test';'test', 'SELECT * FROM TEST.MY_SET') Msg 15281, Le ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SQL Server 使用OPENROWSET访问ORACLE遇到的各种坑总结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在SQL Server中使用OPENROWSET访问ORACLE数据库时，你可能会遇到各种坑，下面一一梳理一下你会遇到的一些坑。</p>
<p> </p>
<p><strong>1：数据库没有开启"Ad Hoc Distributed Queries"选项，那么你就会遇到下面坑。</strong></p>
<p><strong></strong> </p>
<pre>SELECT TOP 10 * FROM OPENROWSET('OraOLEDB.Oracle', 'ESCM_134';'test';'test', 'SELECT * FROM TEST.MY_SET')</pre>
<p>Msg 15281, Level 16, State 1, Line 1</p>
<p>SQL Server blocked access to STATEMENT 'OpenRowset/OpenDatasource' of component 'Ad Hoc Distributed Queries' because this component is turned off as part of the security configuration for this server. A system administrator can enable the use of 'Ad Hoc Distributed Queries' by using sp_configure. For more information about enabling 'Ad Hoc Distributed Queries', search for 'Ad Hoc Distributed Queries' in SQL Server Books Online.</p>
<p> </p>
<p> </p>
<p>出现这个错误，只需要开启数据库"Ad Hoc Distributed Queries"选项即可。如下所示</p>
<pre>sp_configure  'show advanced option',1;</pre>
<pre>GO</pre>
<pre>RECONFIGURE</pre>
<pre>sp_configure 'Ad Hoc Distributed Queries',1;</pre>
<pre>GO</pre>
<pre>RECONFIGURE</pre>
<p> </p>
<p><strong>2：遇到“The OLE DB provider "OraOLEDB.Oracle" for linked server ....."这个坑</strong></p>
<p><strong></strong> </p>
<pre>SELECT TOP 10 * FROM OPENROWSET('OraOLEDB.Oracle', 'ESCM_134';'test';'test', 'SELECT * FROM TEST.MY_SET')</pre>
<p>Msg 7399, Level 16, State 1, Line 1</p>
<p>The OLE DB provider "OraOLEDB.Oracle" for linked server "(null)" reported an error. Access denied.</p>
<p>Msg 7350, Level 16, State 2, Line 1</p>
<p>Cannot get the column information from OLE DB provider "OraOLEDB.Oracle" for linked server "(null)".</p>
<p> </p>
<p> </p>
<p>解决这个也比较简单，使用SSMS连接到数据库后，在“Server Objects”-&gt;"Linked Servers"-&gt;"OraOLEDB.Oracle"下勾选“Allow inprocess"选项。注意，如果不重启，无法使之生效，依然会报上面错误。</p>
<p> </p>
<p> </p>
<p><strong>3：遇到“OLE DB provider "OraOLEDB.Oracle" for linked server "(null)" returned message "ORA-12154: TNS: 无法解析指定的连接标识符...."这个坑</strong></p>
<pre>SELECT TOP 10 * FROM OPENROWSET('OraOLEDB.Oracle', 'ESCM_134';'test';'test', 'SELECT * FROM TEST.MY_SET')</pre>
<p>OLE DB provider "OraOLEDB.Oracle" for linked server "(null)" returned message "ORA-12154: TNS: 无法解析指定的连接标识符".</p>
<p>Msg 7303, Level 16, State 1, Line 1</p>
<p>Cannot initialize the data source object of OLE DB provider "OraOLEDB.Oracle" for linked server "(null)".</p>
<p> </p>
<p>遇到这个问题有几种情形：</p>
<p>1： 你没有在TNS配置文件里面配置相关ORACLE实例信息。</p>
<p>2： SQL Server数据库是64位的，你只安装了32bit数据库，配置了Oracle Client 32bit下的TNS，或者Oracle Client 32/64位都安装了，但是你只配置了32位下的TNS。其实只需要配置64下的TNS即可。因为64位的SQL Server肯定调用64位的驱动程序。</p>
<p> </p>
<p><strong>4：普通账号遇到“Ad hoc access to OLE DB provider 'OraOLEDB.Oracle' has been denied. You must access this provider through a linked server."错误， 具有sysadmin角色的账号执行下面SQL正常，但是非常普通的账号就一直报下面错误</strong></p>
<p><strong></strong> </p>
<p><strong></strong> </p>
<p>SELECT TOP 10 * FROM OPENROWSET('OraOLEDB.Oracle', 'ESCM_134';'test';'test', 'SELECT * FROM TEST.MY_SET')</p>
<p>Msg 7415, Level 16, State 1, Line 1</p>
<p>Ad hoc access to OLE DB provider 'OraOLEDB.Oracle' has been denied. You must access this provider through a linked server.</p>
<p> </p>
<p>解决方法，在服务器打开注册表，在HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Microsoft SQL Server\MSSQL12.MSSQLSERVER\Providers\OraOLEDB.Oracle下（当然不同版本或命名实例的数据库，这个注册表路径有啥不同，根据实际情况找到OraOLEDB.Oracle），新建DisallowAdHocAccess选项即可解决问题。</p>
<p> </p>
<p> </p>
<p>DisallowAdHocAccess属性设置为 1，SQL Server 不允许特别通过 OPENROWSET 和 OPENDATASOURCE 函数根据指定的 OLE DB 提供程序访问。如果您尝试调用这些函数中的特殊查询，您会收到类似于以下内容的错误消息</p>
<p> </p>
<ul>
<li><strong>A change of the value of DisallowAdHocAscess from 1 to 0 would not require a restart of the SQL Service, whereas a change from 0 to 1 would have to have a SQL Service restart for the change that was made to become effective. </strong></li>
<li><strong>With the DisallowAdHocAccess property set to 1, SQL Server does not allow ad hoc access through the OPENROWSET and the OPENDATASOURCE functions against the specified OLE DB provider. If you try to call these functions in ad hoc queries, you receive an error message that resembles the following: </strong><br />
<br /><strong>Server: Msg 7415, Level 16, State 1, Line 1 Ad hoc access to OLE DB provider 'Microsoft.Jet.OLEDB.4.0' has been denied. You must access this provider through a linked server. </strong></p>
<p><strong>In other words, with the DisallowAdHocAccess property set to 1 for a specific OLE DB provider, you must use a predefined linked server setup for the specific OLE DB provider. You can no longer pass in an ad hoc connection string that references that provider to the OPENROWSET or the OPENDATASOURCE function.</strong></li>
</ul>
<p> </p>
<p>参考资料：</p>
<p><a href="https://support.microsoft.com/zh-cn/kb/327489" rel="external nofollow noreferrer">https://support.microsoft.com/zh-cn/kb/327489</a></p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 05:02:43</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/access/" title="access">access</a>, <a href="https://www.iamivan.net/tag/test/" title="test">test</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SQL Server 使用OPENROWSET访问ORACLE遇到的各种坑总结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7YoxdM.html" rel="bookmark">oracle-使用sql server数据库导出至Oracle数据库报错 ！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 使用sql server数据库导出至Oracle数据库报错 ! 求助大神 解决方案 安装64为的oracle试试 解决方案二: 根据提示,你是不是用32bit的客户端用64bit运行了呢. 另外,system.data.oracleclient安装正确么?和你的服务器的版本匹配么?是不是版本过低. 解决方案三: SqlServer2012是64位的,Oracle数据库也是64位的 Oracle客户端是使用的PL/SQL 可能是32位的吧,有没有办法可以使他们版本或系统位数相互兼容的办法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRPyjp.html" rel="bookmark">sql server语句转化成oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 sql server语句转化成oracle alter proc skyGetBizKey V_AddCount intV_KeyName Varchar2(128)V_Retval int OutputAsbegin trybegin tranIf Exists(Select IndexValue From skyBizkeys Where BizForm = v_KeyName) Begin Set v_Retval = (Select top 1 ISNULL(IndexValu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRr5Op.html" rel="bookmark">《SQL初学者指南（第2版）》&mdash;&mdash;1&period;2　Microsoft SQL Server、MySQL和Oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 Microsoft SQL Server.MySQL和Oracle 尽管我们的目标是介绍SQL的核心语言,因为它适用于所有的实现,但是,我也会提供SQL语法的一些具体示例.由于各个厂商的语法各异,我决定重点关注如下这3种数据库所使用的SQL语法: Microsoft SQL Server: Oracle: MySQL. 大多数情况下,这些数据库有着相同的语法.然而,偶尔也会有所不同.如果这3种数据库之间有任何的差异,本书的正文中将会采用Microsoft SQL Server的语法,我会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M16Alop.html" rel="bookmark">从SQL Server数据库转到Oracle数据库的数据脚本处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在我们很多情况下的开发,为了方便或者通用性的考虑,都首先考虑SQL Server数据库进行开发,但有时候客户的生产环境是Oracle或者其他数据库,那么我们就需要把对应的数据结构和数据脚本转换为对应的数据库,数据结构一般来说,语法都遵循了SQL92的标准,或者我们根据不同的PowerDesigner文件进行生成对应的结构脚本即可,但是实际数据的脚本我们就需要进行一定的处理,以及文本的替换处理了,本文结合Notepad++的文本正则表达式替换,实现一些如日期较为特殊的数据脚本调整,把它从SQL S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRq3Rqb.html" rel="bookmark">SQL Server链接服务器访问DB2设置步骤图解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文 http://database.51cto.com/art/201108/283240.htm SQL Server可以使用链接服务器功能来连接其他的数据库,以实现不同数据库之间的操作.本文我们主要介绍了利用SQL Server利用链接服务器连接访问DB2数据库的操作步骤,并给出了详细的截图,接下来就让我们一起来了解一下这部分内容吧. 使用SQL SERVER的链接服务器连接DB2 1.下载安装Microsoft OLEDB Provider for DB2,SQL SERVER链接服务器			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6NqPM.html" rel="bookmark">SQL SERVER导入数据到ORACLE的方法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们偶尔会有将数据从SQL SERVER导入到ORACLE当中的这种需求,那么这种跨数据库导数有那些方法呢?这些方法又有那些利弊呢? 下面比较肤浅的总结了一些可行的方法. 1:生成SQL脚本然后去ORACLE数据库执行. CREATE TABLE TEST (       ID   INT ,       NAME VARCHAR(12)   )   INSERT INTO dbo.TEST   SELECT 1001, 'Kerry' UNION ALL   SELECT 1002, 'Jim			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bElAG6z.html" rel="bookmark">利用配置文件实现SQL Server与Oralce访问类的转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在微软提供了一种方法,也是微软示例PetShop提供的解决方式;即使用Assembly反射加载访问数据库的类. 首先,创建一个空白解决方案,名字为:TestChangeDataBase,然后添加一个C#类库工程,名字叫DBHelper,然后在类库工程里创建一个接口IDAL,具体代码如下: namespace DBHelper { public interface IDAL { DataSet GetDataSet(string query); } } 保存后,关闭这个接口文件;再创建一个类文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBWvOM.html" rel="bookmark">把Oracle数据库移植到Microsoft SQL Server 7&period;0</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|server|数据|数据库  把Oracle数据库移植到Microsoft SQL Server 7.0 摘要:本文是为那些想把自己的Oracle应用程序转换为Microsoft SQL Server应用程序的开发人员编写的.本文描述了一个成功的转换所需要的工具.过程和技术.同时强调了建立高性能.高度并行的SQL Server应用程序的基本的设计要素. 本文的读者应该具有: Oracle关系型数据管理系统(RDBMS)的坚实基础. 普通数据库管理知识. 熟悉Oracle SQL和P			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY29AQp.html" rel="bookmark">SQL Server 2005与Oracle同步 注意NUMBER类型转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前面的文章中我已经讲到使用同义词的方法来在SQL Server 2005下连接Oracle,我们可以使用同义 词在SQL Server 2005下连接Oracle来实时访问Oracle数据库,但是如果Oracle中的表数据流较大则会影 响应用系统的性能,于是应采用数据库作业每天定时执行: drop table abc--删除旧表 go select * into abc from aaa--aaa为同义词 from aaa--aaa为同义词这样就可以把Oracle中的数据同步到本地的SQL S			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7QnqM.html" rel="bookmark" class="title">网页-【前端】彩色关键词怎么实现？</a>
					<div>
						问题描述 [前端]彩色关键词怎么实现? 在一个div里面无序地排列五颜六色的关键词,关键词字体不一样,大小不一样,颜色不一样,而且没有段落.关键词是从数据库读取的,动态生成网页.请问如何实现? 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8E5oz.html" rel="bookmark" class="title">传说中的技术贴！iPhone高保真原型探索</a>
					<div>
						最近在做iPhone上的项目,交互都是用keynote/ppt直接出的.相比fw,keynote/ppt够快,并且很容易通过在其中添加链接和动作,快速地生成原型,用来测试和展示. 快速原型传送门,你去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbERDnM.html" rel="bookmark" class="title">向你的竞争对手致敬并且学习</a>
					<div>
						在做seo时,如果我们可以做到向自己的竞争对手致敬,并且学习的话,那么日后可以行走的路将会宽敞很多.尽管你可以在战略上藐视对方,但在具体的战术上,你越谦虚,越懂得向你的竞争对手学习的话,那么不但对你的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQXRWz.html" rel="bookmark" class="title">ASP教程：简单学习掌握ASP Session 对象</a>
					<div>
						session|对象|教程 Session对象用于存储用户的信息.存储于session对象中的变量握有单一用户的信息,并且对于应用程序中的所有页面都是可用的. Session 对象 当你操作某个应用程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjydZz.html" rel="bookmark" class="title">行业冷热不均  优化策略如何调整</a>
					<div>
						网站优化是一门通用的技术吗?有一定优化工作经验的人都知道它不能笼统地套在每一个行业上,不同行业的网站优化需要采取不同的策略.这里所说的行业的不同,主要是指它在互联网上的热度.很多行业都开始涉足互联网这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1WGez.html" rel="bookmark" class="title">如何配置Linux 11G R2 RAC NTP服务</a>
					<div>
						安装Oracle 11g RAC时,我们需要配置ntp服务.在使用虚拟机的情况下对于时钟同步方式的配置有很多种方式,可以使用vmware自带的时钟同步功能,也可以直接将本地的一个节点用作时间服务器.本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2RjNb.html" rel="bookmark" class="title">Delphi与DirectX之DelphiX&lpar;57&rpar;&colon; TDIB&period;DoSplitlight&lpar;&rpar;&semi;</a>
					<div>
						本例效果图: 代码文件: unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1Z9Az.html" rel="bookmark" class="title">6000元i5-7500配GTX1060游戏配置</a>
					<div>
						  6000元i5-7500配GTX1060游戏配置 配件名称品牌型号参考价格 处理器Intel酷睿i5-7500(散片) ￥1299 散热器九州风神玄冰400￥95 显卡影驰GTX1060 骨灰大将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBolAb.html" rel="bookmark" class="title">5个步骤帮你做一次完美的用户调研</a>
					<div>
						  用户调研作为产品人员最常用的工作方式,相信各位一定不会陌生.但如何提高用户调研的有效性却是一直困扰大家的问题,网上有一堆提供调研方法的文章与理论,但是却没有系统地说明如何进行一次完美的用户调研.今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKlw8M.html" rel="bookmark" class="title">PS矢量造型工具重绘标志</a>
					<div>
						教程教朋友们用PS矢量造型工具重绘标志,教程属于比较简单的工具介绍,难度一般. 记得刚开始上班时,每个月要买100元左右的书,最开心的事就是买到好书回家连夜看,时间久了,设计类这行的书越来越多,越看越 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlV5db.html" rel="bookmark" class="title">亚马逊新版体验分析</a>
					<div>
						从09年从事电子商务用户体验设计工作以来,就比较关注amazon的用户体验设计,其强大的用户数据分析功能,简洁的页面设计,以及结构和框架设计,绝对是深深影响国内的电子商务行业的,或者直到目前为止,国内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8BBlp.html" rel="bookmark" class="title">EXCEL资金曲线图的制作方法</a>
					<div>
						折腾了好久,今年终于开始使用EXCEL资金曲线图.搞这个图的好处主要是时刻提醒自己:这不只是一场资金游戏,要为自己的资金负责.把枯燥的数字换成直观的图表,更能深刻的反映的操作的优劣,交易的得失.另一方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3RN6M.html" rel="bookmark" class="title">旧版本迅雷可能让IE10打开后显示空白页</a>
					<div>
						  表现如下:IE打开后显示空白页,失去响应,自己重启循环. 文档打开后空白页&quot;&gt;  打开任务管理器也发现IE没有任何响应的.点击取消或者是关闭,会让IE反复重启崩溃循环. 现在只能用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYdLKM.html" rel="bookmark" class="title">爱剪辑可以添加图片吗&quest;</a>
					<div>
						  我想在需要处理的视频中某个位置加一张图片,让视频播放到该时间的时候能够显示这张图片,那么该如何把图片添加到想要的位置呢? 1.启动该软件后,在该软件点击[添加视频]按钮,这个按钮在左侧,居中的位置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3YmWp.html" rel="bookmark" class="title">输入法不见了的解决方法</a>
					<div>
						  1.点击&quot;开始&quot;菜单,进入&quot;控制面板&quot;,在&quot;控制面板&quot;的窗口中选择&quot;时钟.语言和区域&quot;进入. 2.在&quot;时钟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywkZJz.html" rel="bookmark" class="title">ios-ABPeoplePicker导航控制器隐藏按钮</a>
					<div>
						问题描述 ABPeoplePicker导航控制器隐藏按钮 子类化ABPeoplePickerNavigationController之后,想问问怎么隐藏右侧的工具栏项&quot;Cancel&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3xGOp.html" rel="bookmark" class="title">避免 Android中Context引起的内存泄露&lowbar;Android</a>
					<div>
						Context是我们在编写Android程序经常使用到的对象,意思为上下文对象. 常用的有Activity的Context还是有Application的Context.Activity用来展示活动界面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrrxWM.html" rel="bookmark" class="title">ios-IOS如何获取在手机本地的视频播放列表呢&quest;</a>
					<div>
						问题描述 IOS如何获取在手机本地的视频播放列表呢? 自定义视频播放器,在本地的视频播放列表怎么拿到呢?不是沙箱里面的 解决方案 alasset获取相册,再生成列表 解决方案二: 一般本地的视频都会存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N01YM.html" rel="bookmark" class="title">历史性时刻！ARM首次成功模拟运行x86</a>
					<div>
						ARM在移动领域风生水起,但是要想在桌面和服务器上占领一席之地,最大的麻烦就在于不兼容最为普及的x86代码系统和程序,而出路只有两条:要么大力推进自己的生态系统,要么模拟运行x86,就像曾经的全美达那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjwqlp.html" rel="bookmark" class="title">备份宝-中小企业文件备份与恢复篇</a>
					<div>
						   对于企业用户而言,除了数据库备份外,文件的备份与恢复也是数据备份中至关重要的一环.许多企业电脑中的重要文件.文档或历史记录,例如保存在本地计算机中的个人工作文档.个人邮件.日常表格等重要文件,一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlYdxb.html" rel="bookmark" class="title">锋利的jQuery--jQuery事件，动画&lpar;读书笔记二&rpar;</a>
					<div>
						1.注意$(document).ready()方法和window.onload方法之间的细微区别 $(document).ready()在DOM树构建完成就会执行,而window.onload是在DO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVDymb.html" rel="bookmark" class="title">opencv 一段代码出错了</a>
					<div>
						问题描述 opencv 一段代码出错了 显示.exe停止工作,但是去掉那个for循环就可以运行,是ptr&lt;&gt;的使用不当吗#include#include#include #include  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYj73xp.html" rel="bookmark" class="title">mvc&comma;未找到视图或其母版视图，或没有视图引擎支持搜索的位置</a>
					<div>
						问题描述 mvc,未找到视图或其母版视图,或没有视图引擎支持搜索的位置 为什么本地没有错误,上传之后报错!如:图片说明请各位大神帮一下,谢谢 解决方案 在你的view目录下的图中所在的位置,有没有你的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4dGZz.html" rel="bookmark" class="title">开源项目成熟度分析工具-利用github api获取代码库的信息</a>
					<div>
						1.github api        github api是http形式的api,功能还是比较丰富的,博主因为项目的原因主要用到的是提取project信息这项功能,返回的数据是JSON格式. api ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRx6kp.html" rel="bookmark" class="title">周少华Kevin：医学影像分析顶会MICCAI 17有哪些惊喜？</a>
					<div>
						本文首发于美篇(https://www.meipian.cn/q8v4psf),作者周少华,雷锋网 AI 科技评论获本人授权转载,文章略有删节,并获得了周少华博士的再次核对编辑,特此表示感谢. 周少华 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RO6vb.html" rel="bookmark" class="title">java javascript-Myeclipse2014安装Apatna插件</a>
					<div>
						问题描述 Myeclipse2014安装Apatna插件 在Myeclipse2014安装Aptana,但是没有好用的方法,离线在线安装都耗时很长,离线方式,一天多都没成功,link方式也无法得到效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Rveob.html" rel="bookmark" class="title">浅谈提升站点加载速度的三个简单而有效的方法</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 随着web技术的不断发展,尤其是自从搜索引擎把用户的友好体验列入到其搜索排名的关键因素之后,笔者觉得现今web的整体速度有了很明显的上升,尤其是在电信联 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xvOXb.html" rel="bookmark" class="title">MySQL性能调优之Memory or SSD&quest;</a>
					<div>
						当一个传统的向外扩展的方式对于MySQL来讲变得流行,看看我们不得不扩充哪一方面(便宜的内存?快速存储?更好的电源效率?)将会变得非常有趣.这里确实有很多种选择--我每周大概会遇到一个客户使用Fush ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnoLAM.html" rel="bookmark" class="title">佳博打印机 如果接的是网口 那POS程序要怎么开发&quest;</a>
					<div>
						问题描述 谁知道佳博打印机如果接的是网口那程序要怎么开发?提供的demo只这样说:请在使用TSCLIB.DLL前,安装条形码打印机驱动程序.1.openport(a)说明:指定计算机端的输出端口参数: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR18wkb.html" rel="bookmark" class="title">利用中国天气预报接口实现简单天气预报&lowbar;php实例</a>
					<div>
						复制代码 代码如下: &lt;?phpheader(&quot;content-type:text/html;charset=utf-8&quot;);$weather = file_get_cont ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
